org.apache.ignite.internal

## Enum GridComponent.DiscoveryDataExchangeType

- java.lang.Object
- - java.lang.Enum<GridComponent.DiscoveryDataExchangeType>
  - - org.apache.ignite.internal.GridComponent.DiscoveryDataExchangeType

All Implemented Interfaces:
  Serializable, Comparable<GridComponent.DiscoveryDataExchangeType>

Enclosing interface:
  GridComponent

    public static enum GridComponent.DiscoveryDataExchangeType
    extends Enum<GridComponent.DiscoveryDataExchangeType>

Unique component type for discovery data exchange.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTH_PROC` Authentication processor.
`BINARY_PROC`
`CACHE_CRD_PROC`
`CACHE_PROC`
`CLUSTER_PROC`
`CONTINUOUS_PROC`
`DISCOVERY_PROC`
`ENCRYPTION_MGR` Encryption manager.
`MARSHALLER_PROC`
`META_STORAGE` Distributed MetaStorage processor.
`PLUGIN`
`QUERY_PROC` Query processor.
`SERVICE_PROC` Service processor.
`STATE_PROC` State process.

### Field Summary

Fields
`static GridComponent.DiscoveryDataExchangeType[]` `VALUES` Cached values array.

### Method Summary

All Methods Static Methods Concrete Methods
`static GridComponent.DiscoveryDataExchangeType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridComponent.DiscoveryDataExchangeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTINUOUS_PROC

    public static final GridComponent.DiscoveryDataExchangeType CONTINUOUS_PROC

#### CACHE_PROC

    public static final GridComponent.DiscoveryDataExchangeType CACHE_PROC

#### STATE_PROC

    public static final GridComponent.DiscoveryDataExchangeType STATE_PROC

State process.

#### PLUGIN

    public static final GridComponent.DiscoveryDataExchangeType PLUGIN

#### CLUSTER_PROC

    public static final GridComponent.DiscoveryDataExchangeType CLUSTER_PROC

#### DISCOVERY_PROC

    public static final GridComponent.DiscoveryDataExchangeType DISCOVERY_PROC

#### MARSHALLER_PROC

    public static final GridComponent.DiscoveryDataExchangeType MARSHALLER_PROC

#### BINARY_PROC

    public static final GridComponent.DiscoveryDataExchangeType BINARY_PROC

#### QUERY_PROC

    public static final GridComponent.DiscoveryDataExchangeType QUERY_PROC

Query processor.

#### AUTH_PROC

    public static final GridComponent.DiscoveryDataExchangeType AUTH_PROC

Authentication processor.

#### CACHE_CRD_PROC

    public static final GridComponent.DiscoveryDataExchangeType CACHE_CRD_PROC

#### ENCRYPTION_MGR

    public static final GridComponent.DiscoveryDataExchangeType ENCRYPTION_MGR

Encryption manager.

#### SERVICE_PROC

    public static final GridComponent.DiscoveryDataExchangeType SERVICE_PROC

Service processor.

#### META_STORAGE

    public static final GridComponent.DiscoveryDataExchangeType META_STORAGE

Distributed MetaStorage processor.

### Field Detail

#### VALUES

    public static final GridComponent.DiscoveryDataExchangeType[] VALUES

Cached values array.

### Method Detail

#### values

    public static GridComponent.DiscoveryDataExchangeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridComponent.DiscoveryDataExchangeType c : GridComponent.DiscoveryDataExchangeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridComponent.DiscoveryDataExchangeType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020